Subject: Re: bug#58210: 29.0.50; Visual line mode movement bug

From: drshapeless <[email-masked]>
Date: Sat, 01 Oct 2022 21:56:33 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Michael Heerdegen <[email-masked]>
>> Cc: Jacky Li <[email-masked]>,  [email-masked]
>> Date: Sat, 01 Oct 2022 13:00:57 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > > Date: Sat, 01 Oct 2022 11:14:35 +0800
>> > > From:  Jacky Li via "Bug reports for GNU Emacs,
>> > >  the Swiss army knife of text editors" <[email-masked]>
>> > >
>> > >
>> > > If visual-line-mode is turned on, using C-a, C-e or C-k will move to the
>> > > line above, resulting in a unwanted behaviour. This behaviour was not
>> > > observed in the build of Sept 24 HEAD, but in the build of Sept 30
>> > > HEAD. I suspect that the bug commit is within this period.
>> > >
>> > > Also, this bug only happens when visual-line-mode is enabled. The
>> > > related interactive functions are (beginning-of-visual-line),
>> > > (end-of-visual-line), (kill-visual-line).
>> >
>> > Sorry about that, should be fixed now.
>> 
>> (vertical-motion 0) now moves to the previous line.  I think this is
>> not expected...?
>
> Did I fix this now?

No, it becomes even weirder. C-k seems to be fixed.

For C-a, if the point is at an empty line, it works fine. But if the
point is at a line with any chars, it will move to the line above.

For C-e, it is fine on an empty line. It is also fine if the point is at
any position of a line with chars, except for at the end of a line, it
will still move to the line above.